Package org.kapott.hbci.sepa.jaxb.camt_052_001_08

## Class CashBalance8

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_08.CashBalance8

    public class CashBalance8
    extends java.lang.Object

Java class for CashBalance8 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CashBalance8">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Tp" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}BalanceType13"/>
             <element name="CdtLine" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CreditLine3" maxOccurs="unbounded" minOccurs="0"/>
             <element name="Amt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="CdtDbtInd" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CreditDebitCode"/>
             <element name="Dt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}DateAndDateTime2Choice"/>
             <element name="Avlbty" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.08}CashAvailability1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected ActiveOrHistoricCurrencyAndAmount` `amt`
`protected java.util.List<CashAvailability1>` `avlbty`
`protected CreditDebitCode` `cdtDbtInd`
`protected java.util.List<CreditLine3>` `cdtLine`
`protected DateAndDateTime2Choice` `dt`
`protected BalanceType13` `tp`

### Constructor Summary

Constructors
`CashBalance8()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ActiveOrHistoricCurrencyAndAmount` `getAmt()` Gets the value of the amt property.
`java.util.List<CashAvailability1>` `getAvlbty()` Gets the value of the avlbty property.
`CreditDebitCode` `getCdtDbtInd()` Gets the value of the cdtDbtInd property.
`java.util.List<CreditLine3>` `getCdtLine()` Gets the value of the cdtLine property.
`DateAndDateTime2Choice` `getDt()` Gets the value of the dt property.
`BalanceType13` `getTp()` Gets the value of the tp property.
`void` `setAmt​(ActiveOrHistoricCurrencyAndAmount value)` Sets the value of the amt property.
`void` `setCdtDbtInd​(CreditDebitCode value)` Sets the value of the cdtDbtInd property.
`void` `setDt​(DateAndDateTime2Choice value)` Sets the value of the dt property.
`void` `setTp​(BalanceType13 value)` Sets the value of the tp property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### tp

    protected BalanceType13 tp

#### cdtLine

    protected java.util.List<CreditLine3> cdtLine

#### amt

    protected ActiveOrHistoricCurrencyAndAmount amt

#### cdtDbtInd

    protected CreditDebitCode cdtDbtInd

#### dt

    protected DateAndDateTime2Choice dt

#### avlbty

    protected java.util.List<CashAvailability1> avlbty

### Constructor Detail

#### CashBalance8

    public CashBalance8()

### Method Detail

#### getTp

    public BalanceType13 getTp()

Gets the value of the tp property.

Returns:
  possible object is `BalanceType13`

#### setTp

    public void setTp​(BalanceType13 value)

Sets the value of the tp property.

Parameters:
  `value` - allowed object is `BalanceType13`

#### getCdtLine

    public java.util.List<CreditLine3> getCdtLine()

Gets the value of the cdtLine property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cdtLine property.

For example, to add a new item, do as follows:

        getCdtLine().add(newItem);

Objects of the following type(s) are allowed in the list `CreditLine3`

#### getAmt

    public ActiveOrHistoricCurrencyAndAmount getAmt()

Gets the value of the amt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

#### setAmt

    public void setAmt​(ActiveOrHistoricCurrencyAndAmount value)

Sets the value of the amt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

#### getCdtDbtInd

    public CreditDebitCode getCdtDbtInd()

Gets the value of the cdtDbtInd property.

Returns:
  possible object is `CreditDebitCode`

#### setCdtDbtInd

    public void setCdtDbtInd​(CreditDebitCode value)

Sets the value of the cdtDbtInd property.

Parameters:
  `value` - allowed object is `CreditDebitCode`

#### getDt

    public DateAndDateTime2Choice getDt()

Gets the value of the dt property.

Returns:
  possible object is `DateAndDateTime2Choice`

#### setDt

    public void setDt​(DateAndDateTime2Choice value)

Sets the value of the dt property.

Parameters:
  `value` - allowed object is `DateAndDateTime2Choice`

#### getAvlbty

    public java.util.List<CashAvailability1> getAvlbty()

Gets the value of the avlbty property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the avlbty property.

For example, to add a new item, do as follows:

        getAvlbty().add(newItem);

Objects of the following type(s) are allowed in the list `CashAvailability1`